/**
 * 获取表格数据的表头
 * @ignore
 * @param {Array<object>} tableData 表格数据
 * @param {object} tableHeaderMap 表格表头Map
 * @returns {Array<string>} 表头列表
 * @example
 * ```ts
 * getTableHeaders(
 *   [{ region: '中国', allCount: 100 }],
 *   { region: { name: '地区' }, allCount: { name: '请求数' } },
 * );
 * // ['地区', '请求数']
 * ```
 */
function getTableHeaders() {
  var tableData = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var tableHeaderMap = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  if (!tableData.length) {
    return [];
  }
  var list = Object.keys(tableData[0] || {});
  return list.map(function (item) {
    var _a;
    return ((_a = tableHeaderMap[item]) === null || _a === void 0 ? void 0 : _a.name) || item;
  });
}

export { getTableHeaders };
